Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help

From: Paul Eggert <[email-masked]>
Date: Sat, 28 Sep 2019 00:51:35 -0500

On 9/27/19 2:21 AM, Eli Zaretskii wrote:
> I thought major distros offered a source archive as well, as an
> optional download, don't they?

They have to; the GPL requires it. But there's no requirement that the 
source be installed or conveniently reachable from the executable, and 
in practice it typically isn't.

The patch I proposed would solve this problem. It's possible other 
patches would also solve the problem on some platforms, if someone would 
take the time to develop and debug them, and we could use them on 
platforms where they work. However, I expect that something like the 
proposed patch (or something like it) would be needed as a backstop 
anyway, for platforms that don't have the debugging source packages that 
people have mentioned. So we could start with the proposed patch and 
mutate it or add fancier platform-specific support later if we have the 
time.